@ECHO OFF
IF NOT EXIST lotus.exe GOTO logon
IF "%1"=="" GOTO nodrive
IF NOT EXIST %1\*.* GOTO nodrive
GOTO driveok
:logon
ECHO You must log onto the disk first e.g. A:
GOTO finish
:nodrive
ECHO You must specify a valid hard disk to install onto e.g. INSTALL C:
GOTO finish
:driveok
@ECHO ON
MD %1\lotus
COPY lotus.exe %1\lotus
COPY lotus.dat %1\lotus
@%1
@CD \lotus
:finish